Groovy Documentation

## groovy.grape
[Groovy] Class IvyGrabRecord

    java.lang.Object
      groovy.grape.IvyGrabRecord

    class IvyGrabRecord
    extends java.lang.Object

Property Summary
`boolean` | `changing`
`java.lang.String` | `classifier`
`java.util.List` | `conf`
`java.lang.String` | `ext`
`boolean` | `force`
`org.apache.ivy.core.module.id.ModuleRevisionId` | `mrid`
`boolean` | `transitive`
`java.lang.String` | `type`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### changing

    boolean changing

### classifier

    java.lang.String classifier

### conf

    java.util.List conf

### ext

    java.lang.String ext

### force

    boolean force

### mrid

    org.apache.ivy.core.module.id.ModuleRevisionId mrid

### transitive

    boolean transitive

### type

    java.lang.String type

Method Detail

### equals

    boolean equals(java.lang.Object o)

### hashCode

    int hashCode()

Groovy Documentation